[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#594435: marked as done (Quoted strings in pin specifications do not work)

Your message dated Fri, 03 Sep 2010 17:17:13 +0000
with message-id <E1OrZt3-0003Od-BG@franck.debian.org>
and subject line Bug#594435: fixed in apt 0.8.1
has caused the Debian Bug report #594435,
regarding Quoted strings in pin specifications do not work
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

594435: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594435
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: apt
Severity: important

The *only* example of pinning by origin in apt_preferences(5) is:

               Package: *
               Pin: origin ""
               Pin-Priority: 999

This implies that strings can be double-quoted and that an empty
string must be.  In fact, double-quoted strings do not match their
contents; the quote characters are presumably treated literally.


-- Package-specific info:

-- (/etc/apt/preferences present, but not submitted) --

-- (/etc/apt/sources.list present, but not submitted) --

-- System Information:
Debian Release: squeeze/sid
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages apt depends on:
ii  debian-archive-keyring        2010.08.15 GnuPG archive keys of the Debian a
ii  libc6                         2.11.2-2   Embedded GNU C Library: Shared lib
ii  libgcc1                       1:4.4.4-9  GCC support library
ii  libstdc++6                    4.4.4-9    The GNU Standard C++ Library v3

apt recommends no packages.

Versions of packages apt suggests:
pn  apt-doc                       <none>     (no description available)
ii  aptitude                      0.6.3-3    terminal-based package manager (te
ii  bzip2                         1.0.5-4    high-quality block-sorting file co
ii  dpkg-dev               Debian package development tools
ii  lzma                          4.43-14    Compression method of 7z format in
ii  python-apt             Python interface to libapt-pkg
ii  synaptic                      0.70~pre1  Graphical package manager

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: apt
Source-Version: 0.8.1

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

  to main/a/apt/apt-doc_0.8.1_all.deb
  to main/a/apt/apt-transport-https_0.8.1_i386.deb
  to main/a/apt/apt-utils_0.8.1_i386.deb
  to main/a/apt/apt_0.8.1.dsc
  to main/a/apt/apt_0.8.1.tar.gz
  to main/a/apt/apt_0.8.1_i386.deb
  to main/a/apt/libapt-pkg-dev_0.8.1_i386.deb
  to main/a/apt/libapt-pkg-doc_0.8.1_all.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594435@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Fri, 03 Sep 2010 18:36:11 +0200
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all i386
Version: 0.8.1
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 592695 594211 594232 594238 594241 594255 594265 594303 594435 594458 594627 594668 594689 594809 595176 595182 595234
 apt (0.8.1) unstable; urgency=low
   [ Programs translations ]
   * Thai (Theppitak Karoonboonyanan). Closes: #592695
   * Russian (Yuri Kozlov). Closes: #594232
   * Slovak (Ivan Masár). Closes: #594255
   * Swedish (Daniel Nylander). Closes: #594241
   * Japanese (Kenshi Muto, Osamu Aoki). Closes: #594265
   * Italian (Milo Casagrande). Closes: #594238
   * Asturian (maacub). Closes: #594303
   * Simplified Chinese (Aron Xu). Closes: #594458
   * Bulgarian (Damyan Ivanov). Closes: #594627
   * Portuguese (Miguel Figueiredo). Closes: #594668
   * Korean (Changwoo Ryu). Closes: #594809
   * Norwegian Bokmål (Hans Nordhaug). Closes: #595182
   * Danish (Joe Hansen). Closes: #595176
   * Catalan (Agustí Grau). Closes: #595234
   [ Christian Perrier ]
   * Fix spelling error in cmdline/apt-get.cc. Thanks to Osamu Aoki
     Closes: #594211
   [ Manpages translations ]
   * Portuguese (Américo Monteiro)
   [ David Kalnischkies ]
   * cmdline/apt-cache.cc:
     - show in madison command again also source packages (LP: #614589)
     - remove useless GetInitialize method
   * cmdline/apt-get.cc:
     - remove direct calls of ReadMainList and use the wrapper instead
       to protect us from useless re-reads and two-times notice display
     - remove death code by removing unused GetInitialize
   * apt-pkg/depcache.cc:
     - now that apt-get purge works on 'rc' packages let the MarkDelete
       pass this purge forward to the non-pseudo package for pseudos
   * apt-pkg/contrib/fileutl.cc:
     - apply SilentlyIgnore also on files without an extension
   * apt-pkg/contrib/configuration.cc:
     - fix autoremove by using correct config-option name and
       don't make faulty assumptions in error handling (Closes: #594689)
   * apt-pkg/versionmatch.cc:
     - let the pin origin actually work as advertised in the manpage
       which means "" are optional and pinning a local archive does
       work - even if it is a non-flat archive (Closes: #594435)
 27804c2f40481c56195b8571a6e11256bda47b0a 1282 apt_0.8.1.dsc
 ca2fd7f7e68e3518eb8d1498494e3aecf8dde35f 3044861 apt_0.8.1.tar.gz
 5fac052dfdf7d2ad3172c0b77011e9286f5af616 202458 apt-doc_0.8.1_all.deb
 d9b0876608a2e1cb46c0b3a7543e0904c30a8350 688006 libapt-pkg-doc_0.8.1_all.deb
 7a9a5491b887fefa1a27589a616128886b8ff78c 2042004 apt_0.8.1_i386.deb
 606e3e020450fc9be2fff1acccdc45d31b1a0e09 148110 libapt-pkg-dev_0.8.1_i386.deb
 0ac21b2eeb14930d756177df1d70f1b16ec95684 256876 apt-utils_0.8.1_i386.deb
 22563d6de4e84c2b648e655a9e6d7ce19a95e9f4 80052 apt-transport-https_0.8.1_i386.deb
 d293f52810e646a2afd84a381288a9f08a78fb0e2e157d78bee3add6f3fb16eb 1282 apt_0.8.1.dsc
 31735147159188b0c8ec989864610ffd6f4e7f24a07e42a984f3ea9049161999 3044861 apt_0.8.1.tar.gz
 d029553446d7836fb9281c68994577988d5490f2d62254cc40ce93903f4a6944 202458 apt-doc_0.8.1_all.deb
 63f94121aec17723b8267f27c0fdc76e374d9f1c2826a6f7da9d66c37a3b3a29 688006 libapt-pkg-doc_0.8.1_all.deb
 b67b77b79dbd359313b202ec1e069c64a7a3d4c23a1e7100fc61cec278184c2f 2042004 apt_0.8.1_i386.deb
 6c60680971b4a01082f96a6c54ad200e905e6adfb7bc894ec6285253c9eb11ea 148110 libapt-pkg-dev_0.8.1_i386.deb
 56efbbcee6399cd7ae459312aba4522983b136b66701f888da7e0da52f8a743a 256876 apt-utils_0.8.1_i386.deb
 e13f2845714f93f87263a75e9122c745e67952453664539f0dd3cdaebdb86114 80052 apt-transport-https_0.8.1_i386.deb
 47fe5a8563db7597eb1ce19485d1df97 1282 admin important apt_0.8.1.dsc
 69fa9b416cf9e8680b2f61d80fbfd424 3044861 admin important apt_0.8.1.tar.gz
 79d300e649b1fd1297dfc269e0155936 202458 doc optional apt-doc_0.8.1_all.deb
 d60747ae1de92e98c718130651a7fc21 688006 doc optional libapt-pkg-doc_0.8.1_all.deb
 735afa8bbdcb43b0777ec69a95f4318b 2042004 admin important apt_0.8.1_i386.deb
 41c295dac34183ede1df7c003cdb7c8c 148110 libdevel optional libapt-pkg-dev_0.8.1_i386.deb
 7cff898f0da4683673d48bb564cefb90 256876 admin important apt-utils_0.8.1_i386.deb
 e8b7851c751b8d10c6d91fddd679c058 80052 admin optional apt-transport-https_0.8.1_i386.deb

Version: GnuPG v1.4.10 (GNU/Linux)


--- End Message ---

Reply to: